"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getMaterialFolderIcon = exports.getMaterialFileIcon = undefined;

var _Utils = require("../common/Utils");

var _materialFileIconsName = require("../gen/materialFileIconsName");

var _materialFolderIconsName = require("../gen/materialFolderIconsName");

var _index = require("../icons/index");

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getMaterialFileIcon = exports.getMaterialFileIcon = function getMaterialFileIcon(fileName) {
	var splitName = fileName.split(".");
	var iconName = "";

	while (splitName.length) {
		var curName = splitName.join(".");
		if (_materialFileIconsName.materialFileNamesToIcons[curName]) {
			iconName = _materialFileIconsName.materialFileNamesToIcons[curName];
			break;
		}
		if (_materialFileIconsName.materialFileExtensionsToIcons[curName]) {
			iconName = _materialFileIconsName.materialFileExtensionsToIcons[curName];
			break;
		}

		splitName.shift();
	}

	if (iconName === "") iconName = "file";

	var icon = _index2.default.materialFileIcons.map(function (materialFileIcon) {
		return materialFileIcon[iconName] ? materialFileIcon[iconName] : "";
	}).filter(function (item) {
		return item;
	});

	return "data:image/svg+xml;base64," + (0, _Utils.convertToBase64)(icon[0]);
};

var getMaterialFolderIcon = exports.getMaterialFolderIcon = function getMaterialFolderIcon(folderName) {
	var open = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

	var iconName = "";
	if (_materialFolderIconsName.materialFolderNamesToIcons[folderName]) {
		iconName = _materialFolderIconsName.materialFolderNamesToIcons[folderName];
	}

	if (iconName === "") iconName = "folder";

	var icon = "";
	if (open) icon = _index2.default.materialFolderIconsOpen[iconName];else icon = _index2.default.materialFolderIcons[iconName];

	return "data:image/svg+xml;base64," + (0, _Utils.convertToBase64)(icon);
};