"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _vsiFileExtensionsToI;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var vsiFileExtensionsToIcons = exports.vsiFileExtensionsToIcons = (_vsiFileExtensionsToI = {
  as: "actionscript2",
  ada: "ada",
  prw: "advpl",
  al: "al",
  affect: "affectscript",
  ansible: "ansible",
  g4: "antlr",
  any: "anyscript",
  htaccess: "apache",
  cls: "vba",
  apib: "apib",
  apl: "apl",
  applescript: "applescript",
  adoc: "asciidoc",
  asp: "asp",
  asm: "assembly",
  ats: "ats",
  ahk: "autohotkey",
  au3: "autoit",
  avcs: "avro",
  azcli: "azure",
  "azure-pipelines.yml": "azurepipelines",
  bal: "ballerina",
  bat: "bat",
  bats: "bats",
  bzl: "bazel",
  bazel: "bazel",
  bf: "befunge",
  biml: "biml",
  "blade.php": "blade",
  blitzbasic: "blitzbasic",
  bolt: "bolt",
  bsq: "bosque",
  c: "c3",
  cal: "c_al",
  cabal: "cabal",
  Caddyfile: "caddy",
  cddl: "cddl",
  ceylon: "ceylon",
  cfml: "cf2",
  cfc: "cfc2",
  cfm: "cfm2",
  clojure: "clojure",
  clojurescript: "clojurescript",
  yml: "cloudfoundry",
  cmake: "cmake",
  "CMakeCache.txt": "cmake",
  cbl: "cobol",
  coffee: "coffeescript",
  properties: "config",
  env: "config",
  ckbk: "chef_cookbook",
  confluence: "confluence",
  cpp: "cpp3",
  cr: "crystal",
  cs: "csharp2",
  css: "css",
  feature: "cucumber",
  cu: "cuda",
  pyx: "cython",
  dal: "dal",
  dart: "dartlang",
  pas: "delphi",
  html: "html",
  d: "dlang",
  diff: "diff",
  dockerfile: "docker2",
  dockerignore: "docker2",
  dox: "doxygen",
  drl: "drools",
  dot: "dotjs",
  dust: "dustjs",
  dylan: "dylan",
  edge: "edge2",
  eex: "eex",
  es: "elastic",
  ex: "elixir",
  elm: "elm2",
  erb: "erb",
  erl: "erlang2",
  falcon: "falcon",
  fql: "fauna",
  f: "fortran",
  fs: "fsharp",
  ftl: "freemarker",
  fthtml: "fthtml",
  gspec: "galen2",
  git: "git",
  gml: "gamemaker81",
  gcode: "gcode",
  gen: "genstat",
  glsl: "glsl",
  glyphs: "glyphs",
  gp: "gnuplot",
  go: "go",
  gd: "godot",
  gql: "graphql",
  gv: "graphviz",
  groovy: "groovy2",
  haml: "haml",
  hbs: "handlebars2",
  prg: "harbour",
  hs: "haskell2",
  lhs: "haskell2",
  haxe: "haxe",
  "helm.tpl": "helm",
  hjson: "hjson",
  hlsl: "hlsl",
  yaml: "yaml",
  hosts: "host",
  http: "http",
  aff: "hunspell",
  hy: "hy",
  hypr: "hypr",
  icl: "icl",
  imba: "imba",
  "4gl": "informix",
  ini: "ini",
  ink: "ink",
  iss: "innosetup",
  janet: "janet",
  java: "java",
  jekyll: "jekyll",
  jenkins: "jenkins",
  jinja: "jinja",
  js: "js_official",
  json: "json2",
  "JSON-tmLanguage": "json2",
  jsonc: "json2",
  jsonnet: "jsonnet",
  json5: "json5",
  jl: "julia2",
  io: "io",
  id: "iodine",
  kv: "kivy",
  ks: "kos",
  kt: "kotlin",
  ".kusto": "kusto",
  lat: "latino",
  less: "less",
  flex: "lex",
  lisp: "lisp",
  lol: "lolcode",
  lsl: "lsl",
  lua: "lua",
  mk: "makefile",
  md: "markdown",
  marko: "marko",
  mat: "matlab",
  ms: "maxscript",
  mel: "maya",
  mdx: "mdx",
  mediawiki: "mediawiki",
  "meson.build": "meson",
  mjml: "mjml",
  pq: "mlang",
  ep: "mojolicious",
  mongo: "mongo",
  mson: "mson",
  ne: "nearly",
  nim: "nim",
  nimble: "nimble",
  nix: "nix",
  nsi: "nsi",
  nunjucks: "nunjucks",
  m: "objectivec",
  mm: "objectivecpp",
  ml: "ocaml",
  o3: "ogone",
  things: "openHAB",
  pddl: "pddl",
  plan: "pddl_plan",
  happenings: "pddl_happenings",
  pl: "perl2",
  pl6: "perl6",
  pgsql: "pgsql",
  php: "php3",
  pine: "pine",
  "requirements.txt": "pip",
  dbgasm: "platformio",
  ddl: "plsql",
  polymer: "polymer",
  pony: "pony",
  pcss: "postcss",
  ps1: "powershell2",
  prisma: "prisma",
  pde: "processinglang",
  w: "progress",
  pro: "prolog",
  rules: "prometheus",
  proto: "protobuf",
  pp: "puppet",
  pug: "pug",
  purs: "purescript",
  arr: "pyret",
  py: "python",
  qvs: "qlikview",
  qml: "qml",
  qs: "qsharp",
  r: "r",
  rkt: "racket",
  raml: "raml",
  cshtml: "razor",
  jsx: "reactjs",
  tsx: "reactts",
  re: "reason",
  red: "red",
  res: "rescript",
  rst: "rest",
  rex: "rexx",
  tag: "riot",
  robot: "robotframework",
  rmd: "rmd",
  rb: "ruby",
  rs: "rust",
  san: "san",
  sas: "sas",
  sbt: "sbt",
  scala: "scala",
  wsf: "script",
  scss: "scss",
  sce: "scilab",
  sdl: "sdlang",
  shader: "shaderlab",
  sh: "shell",
  slang: "slang",
  ice: "slice",
  slim: "slim",
  ss: "silverstripe",
  eskip: "skipper",
  tpl: "smarty",
  snort: "snort",
  sol: "solidity",
  sqf: "sqf",
  sql: "sql",
  nut: "squirrel",
  stan: "stan",
  do: "stata",
  stencil: "stencil",
  "html.stencil": "stencil",
  "st.css": "stylable",
  styled: "styled",
  styl: "stylus",
  svelte: "svelte",
  swagger: "swagger",
  swift: "swift",
  swig: "swig",
  link: "systemd",
  sv: "systemverilog",
  tt: "t4tt",
  tt3: "tt",
  tera: "tera",
  tf: "terraform",
  sty: "tex",
  tex: "tex",
  bib: "tex",
  dtx: "tex",
  txt: "text",
  textile: "textile",
  Tiltfile: "tiltfile",
  toml: "toml",
  ttcn3: "ttcn",
  tuc: "tuc",
  twig: "twig",
  ts: "typescript_official",
  typoscript: "typo3",
  vb: "vb",
  vm: "velocity",
  v: "vlang",
  vhdl: "vhdl",
  vim: "vim",
  volt: "volt",
  vue: "vue",
  wasm: "wasm",
  wy: "wenyan",
  wl: "wolfram",
  wurst: "wurst",
  "xmake.lua": "xmake",
  xml: "xml",
  xquery: "xquery",
  xsl: "xsl",
  bison: "yacc",
  "YAML-tmLanguage": "yaml",
  yang: "yang",
  zig: "zig",
  accdb: "access2",
  accdt: "access2",
  mdb: "access2",
  accda: "access2",
  accdc: "access2",
  accde: "access2",
  accdp: "access2",
  accdr: "access2",
  accdu: "access2",
  ade: "access2",
  adp: "access2",
  laccdb: "access2",
  ldb: "access2",
  mam: "access2",
  maq: "access2",
  mdw: "access2",
  ai: "ai2",
  afdesign: "affinitydesigner",
  affinitydesigner: "affinitydesigner",
  afphoto: "affinityphoto",
  affinityphoto: "affinityphoto",
  afpub: "affinitypublisher",
  affinitypublisher: "affinitypublisher",
  "component.dart": "ng_component_dart",
  "component.ts": "ng_component_ts2",
  "component.js": "ng_component_js2",
  "controller.ts": "nest_controller_ts",
  "controller.js": "nest_controller_js",
  "directive.dart": "ng_directive_dart",
  "directive.ts": "ng_directive_ts2",
  "directive.js": "ng_directive_js2",
  "guard.dart": "ng_guard_dart",
  "guard.ts": "nest_guard_ts",
  "guard.js": "nest_guard_js",
  "module.dart": "ng_module_dart",
  "module.ts": "nest_module_ts",
  "module.js": "nest_module_js",
  "pipe.dart": "ng_pipe_dart",
  "pipe.ts": "nest_pipe_ts",
  "pipe.js": "nest_pipe_js",
  "routing.dart": "ng_routing_dart",
  "routing.ts": "ng_routing_ts2",
  "routing.js": "ng_routing_js2",
  "page.dart": "ng_smart_component_dart",
  "container.dart": "ng_smart_component_dart",
  "page.ts": "ng_smart_component_ts2",
  "container.ts": "ng_smart_component_ts2",
  "page.js": "ng_smart_component_js2",
  "container.js": "ng_smart_component_js2",
  "service.dart": "ng_service_dart",
  "service.ts": "nest_service_ts",
  "service.js": "nest_service_js",
  "interceptor.dart": "ng_interceptor_dart",
  "interceptor.ts": "nest_interceptor_ts",
  "interceptor.js": "nest_interceptor_js",
  ino: "arduino"
}, _defineProperty(_vsiFileExtensionsToI, "pde", "arduino"), _defineProperty(_vsiFileExtensionsToI, "aspx", "aspx"), _defineProperty(_vsiFileExtensionsToI, "ascx", "aspx"), _defineProperty(_vsiFileExtensionsToI, "aac", "audio"), _defineProperty(_vsiFileExtensionsToI, "act", "audio"), _defineProperty(_vsiFileExtensionsToI, "aiff", "audio"), _defineProperty(_vsiFileExtensionsToI, "amr", "audio"), _defineProperty(_vsiFileExtensionsToI, "ape", "audio"), _defineProperty(_vsiFileExtensionsToI, "au", "audio"), _defineProperty(_vsiFileExtensionsToI, "dct", "audio"), _defineProperty(_vsiFileExtensionsToI, "dss", "audio"), _defineProperty(_vsiFileExtensionsToI, "dvf", "audio"), _defineProperty(_vsiFileExtensionsToI, "flac", "audio"), _defineProperty(_vsiFileExtensionsToI, "gsm", "audio"), _defineProperty(_vsiFileExtensionsToI, "iklax", "audio"), _defineProperty(_vsiFileExtensionsToI, "ivs", "audio"), _defineProperty(_vsiFileExtensionsToI, "m4a", "audio"), _defineProperty(_vsiFileExtensionsToI, "m4b", "audio"), _defineProperty(_vsiFileExtensionsToI, "m4p", "audio"), _defineProperty(_vsiFileExtensionsToI, "mmf", "audio"), _defineProperty(_vsiFileExtensionsToI, "mogg", "audio"), _defineProperty(_vsiFileExtensionsToI, "mp3", "audio"), _defineProperty(_vsiFileExtensionsToI, "mpc", "audio"), _defineProperty(_vsiFileExtensionsToI, "msv", "audio"), _defineProperty(_vsiFileExtensionsToI, "oga", "audio"), _defineProperty(_vsiFileExtensionsToI, "ogg", "audio"), _defineProperty(_vsiFileExtensionsToI, "opus", "audio"), _defineProperty(_vsiFileExtensionsToI, "ra", "audio"), _defineProperty(_vsiFileExtensionsToI, "raw", "audio"), _defineProperty(_vsiFileExtensionsToI, "tta", "audio"), _defineProperty(_vsiFileExtensionsToI, "vox", "audio"), _defineProperty(_vsiFileExtensionsToI, "wav", "audio"), _defineProperty(_vsiFileExtensionsToI, "wma", "audio"), _defineProperty(_vsiFileExtensionsToI, "avif", "avif"), _defineProperty(_vsiFileExtensionsToI, "awk", "awk"), _defineProperty(_vsiFileExtensionsToI, "a", "binary"), _defineProperty(_vsiFileExtensionsToI, "app", "binary"), _defineProperty(_vsiFileExtensionsToI, "bin", "binary"), _defineProperty(_vsiFileExtensionsToI, "cmo", "binary"), _defineProperty(_vsiFileExtensionsToI, "cmx", "binary"), _defineProperty(_vsiFileExtensionsToI, "cma", "binary"), _defineProperty(_vsiFileExtensionsToI, "cmxa", "binary"), _defineProperty(_vsiFileExtensionsToI, "cmi", "binary"), _defineProperty(_vsiFileExtensionsToI, "dll", "binary"), _defineProperty(_vsiFileExtensionsToI, "exe", "binary"), _defineProperty(_vsiFileExtensionsToI, "hl", "binary"), _defineProperty(_vsiFileExtensionsToI, "ilk", "binary"), _defineProperty(_vsiFileExtensionsToI, "lib", "binary"), _defineProperty(_vsiFileExtensionsToI, "n", "binary"), _defineProperty(_vsiFileExtensionsToI, "ndll", "binary"), _defineProperty(_vsiFileExtensionsToI, "o", "binary"), _defineProperty(_vsiFileExtensionsToI, "obj", "binary"), _defineProperty(_vsiFileExtensionsToI, "pyc", "binary"), _defineProperty(_vsiFileExtensionsToI, "pyd", "binary"), _defineProperty(_vsiFileExtensionsToI, "pyo", "binary"), _defineProperty(_vsiFileExtensionsToI, "pdb", "binary"), _defineProperty(_vsiFileExtensionsToI, "scpt", "binary"), _defineProperty(_vsiFileExtensionsToI, "scptd", "binary"), _defineProperty(_vsiFileExtensionsToI, "so", "binary"), _defineProperty(_vsiFileExtensionsToI, "bb", "blitzbasic"), _defineProperty(_vsiFileExtensionsToI, "gemfile", "bundler"), _defineProperty(_vsiFileExtensionsToI, "gemfile.lock", "bundler"), _defineProperty(_vsiFileExtensionsToI, "cake", "cake"), _defineProperty(_vsiFileExtensionsToI, "csr", "cert"), _defineProperty(_vsiFileExtensionsToI, "crt", "cert"), _defineProperty(_vsiFileExtensionsToI, "cer", "cert"), _defineProperty(_vsiFileExtensionsToI, "der", "cert"), _defineProperty(_vsiFileExtensionsToI, "pfx", "cert"), _defineProperty(_vsiFileExtensionsToI, "p12", "cert"), _defineProperty(_vsiFileExtensionsToI, "p7b", "cert"), _defineProperty(_vsiFileExtensionsToI, "p7r", "cert"), _defineProperty(_vsiFileExtensionsToI, "src", "cert"), _defineProperty(_vsiFileExtensionsToI, "crl", "cert"), _defineProperty(_vsiFileExtensionsToI, "sst", "cert"), _defineProperty(_vsiFileExtensionsToI, "stl", "cert"), _defineProperty(_vsiFileExtensionsToI, "lucee", "cf2"), _defineProperty(_vsiFileExtensionsToI, "h", "cheader"), _defineProperty(_vsiFileExtensionsToI, "class", "class"), _defineProperty(_vsiFileExtensionsToI, "cjm", "clojure"), _defineProperty(_vsiFileExtensionsToI, "cljc", "clojure"), _defineProperty(_vsiFileExtensionsToI, "cljs", "clojurescript"), _defineProperty(_vsiFileExtensionsToI, "kit", "codekit"), _defineProperty(_vsiFileExtensionsToI, "plist", "config"), _defineProperty(_vsiFileExtensionsToI, "hpp", "cppheader"), _defineProperty(_vsiFileExtensionsToI, "hh", "cppheader"), _defineProperty(_vsiFileExtensionsToI, "hxx", "cppheader"), _defineProperty(_vsiFileExtensionsToI, "h++", "cppheader"), _defineProperty(_vsiFileExtensionsToI, "csx", "csharp2"), _defineProperty(_vsiFileExtensionsToI, "csproj", "csproj"), _defineProperty(_vsiFileExtensionsToI, "css.map", "cssmap"), _defineProperty(_vsiFileExtensionsToI, "db", "db"), _defineProperty(_vsiFileExtensionsToI, "djt", "django"), _defineProperty(_vsiFileExtensionsToI, "eco", "docpad"), _defineProperty(_vsiFileExtensionsToI, "drawio", "drawio"), _defineProperty(_vsiFileExtensionsToI, "dio", "drawio"), _defineProperty(_vsiFileExtensionsToI, "ejs", "ejs"), _defineProperty(_vsiFileExtensionsToI, "el", "emacs"), _defineProperty(_vsiFileExtensionsToI, "elc", "emacs"), _defineProperty(_vsiFileExtensionsToI, "ensime", "ensime"), _defineProperty(_vsiFileExtensionsToI, "eps", "eps"), _defineProperty(_vsiFileExtensionsToI, "xls", "excel2"), _defineProperty(_vsiFileExtensionsToI, "xlsx", "excel2"), _defineProperty(_vsiFileExtensionsToI, "xlsm", "excel2"), _defineProperty(_vsiFileExtensionsToI, "ods", "excel2"), _defineProperty(_vsiFileExtensionsToI, "fods", "excel2"), _defineProperty(_vsiFileExtensionsToI, "fbx", "fbx"), _defineProperty(_vsiFileExtensionsToI, "swf", "flash"), _defineProperty(_vsiFileExtensionsToI, "swc", "flash"), _defineProperty(_vsiFileExtensionsToI, "fla", "fla"), _defineProperty(_vsiFileExtensionsToI, "js.flow", "flow"), _defineProperty(_vsiFileExtensionsToI, "woff", "font"), _defineProperty(_vsiFileExtensionsToI, "woff2", "font"), _defineProperty(_vsiFileExtensionsToI, "ttf", "font"), _defineProperty(_vsiFileExtensionsToI, "otf", "font"), _defineProperty(_vsiFileExtensionsToI, "eot", "font"), _defineProperty(_vsiFileExtensionsToI, "pfa", "font"), _defineProperty(_vsiFileExtensionsToI, "pfb", "font"), _defineProperty(_vsiFileExtensionsToI, "sfd", "font"), _defineProperty(_vsiFileExtensionsToI, "fsproj", "fsproj"), _defineProperty(_vsiFileExtensionsToI, "gmx", "gamemaker"), _defineProperty(_vsiFileExtensionsToI, "yy", "gamemaker2"), _defineProperty(_vsiFileExtensionsToI, "yyp", "gamemaker2"), _defineProperty(_vsiFileExtensionsToI, "gradle", "gradle2"), _defineProperty(_vsiFileExtensionsToI, "hxproj", "haxedevelop"), _defineProperty(_vsiFileExtensionsToI, "ejs.t", "hygen"), _defineProperty(_vsiFileExtensionsToI, "idr", "idris"), _defineProperty(_vsiFileExtensionsToI, "lidr", "idris"), _defineProperty(_vsiFileExtensionsToI, "ibc", "idrisbin"), _defineProperty(_vsiFileExtensionsToI, "ipkg", "idrispkg"), _defineProperty(_vsiFileExtensionsToI, "jpeg", "image"), _defineProperty(_vsiFileExtensionsToI, "jpg", "image"), _defineProperty(_vsiFileExtensionsToI, "gif", "image"), _defineProperty(_vsiFileExtensionsToI, "png", "image"), _defineProperty(_vsiFileExtensionsToI, "bmp", "image"), _defineProperty(_vsiFileExtensionsToI, "tiff", "image"), _defineProperty(_vsiFileExtensionsToI, "ico", "image"), _defineProperty(_vsiFileExtensionsToI, "inc", "inc"), _defineProperty(_vsiFileExtensionsToI, "include", "inc"), _defineProperty(_vsiFileExtensionsToI, "infopathxml", "infopath"), _defineProperty(_vsiFileExtensionsToI, "xsn", "infopath"), _defineProperty(_vsiFileExtensionsToI, "xsf", "infopath"), _defineProperty(_vsiFileExtensionsToI, "xtp2", "infopath"), _defineProperty(_vsiFileExtensionsToI, "jar", "jar"), _defineProperty(_vsiFileExtensionsToI, "jbuilder", "jbuilder"), _defineProperty(_vsiFileExtensionsToI, "js.snap", "jest_snapshot"), _defineProperty(_vsiFileExtensionsToI, "jsx.snap", "jest_snapshot"), _defineProperty(_vsiFileExtensionsToI, "ts.snap", "jest_snapshot"), _defineProperty(_vsiFileExtensionsToI, "tsx.snap", "jest_snapshot"), _defineProperty(_vsiFileExtensionsToI, "js.map", "jsmap"), _defineProperty(_vsiFileExtensionsToI, "json5", "json5"), _defineProperty(_vsiFileExtensionsToI, "jsonld", "jsonld"), _defineProperty(_vsiFileExtensionsToI, "json-ld", "jsonld"), _defineProperty(_vsiFileExtensionsToI, "jsp", "jsp"), _defineProperty(_vsiFileExtensionsToI, "jss", "jss"), _defineProperty(_vsiFileExtensionsToI, "ipynb", "jupyter"), _defineProperty(_vsiFileExtensionsToI, "key", "key"), _defineProperty(_vsiFileExtensionsToI, "pem", "key"), _defineProperty(_vsiFileExtensionsToI, "master", "layout"), _defineProperty(_vsiFileExtensionsToI, "layout.html", "layout"), _defineProperty(_vsiFileExtensionsToI, "layout.htm", "layout"), _defineProperty(_vsiFileExtensionsToI, "enc", "license"), _defineProperty(_vsiFileExtensionsToI, "hxp", "lime"), _defineProperty(_vsiFileExtensionsToI, "liquid", "liquid"), _defineProperty(_vsiFileExtensionsToI, "ls", "livescript"), _defineProperty(_vsiFileExtensionsToI, "lnk", "lnk"), _defineProperty(_vsiFileExtensionsToI, "log", "log"), _defineProperty(_vsiFileExtensionsToI, "tlg", "log"), _defineProperty(_vsiFileExtensionsToI, "crec", "lync"), _defineProperty(_vsiFileExtensionsToI, "ocrec", "lync"), _defineProperty(_vsiFileExtensionsToI, "makefile", "makefile"), _defineProperty(_vsiFileExtensionsToI, "map", "map"), _defineProperty(_vsiFileExtensionsToI, "mdown", "markdown"), _defineProperty(_vsiFileExtensionsToI, "markdown", "markdown"), _defineProperty(_vsiFileExtensionsToI, "marko.js", "markojs"), _defineProperty(_vsiFileExtensionsToI, "fig", "matlab"), _defineProperty(_vsiFileExtensionsToI, "mex", "matlab"), _defineProperty(_vsiFileExtensionsToI, "mexn", "matlab"), _defineProperty(_vsiFileExtensionsToI, "mexrs6", "matlab"), _defineProperty(_vsiFileExtensionsToI, "mn", "matlab"), _defineProperty(_vsiFileExtensionsToI, "mum", "matlab"), _defineProperty(_vsiFileExtensionsToI, "mx", "matlab"), _defineProperty(_vsiFileExtensionsToI, "mx3", "matlab"), _defineProperty(_vsiFileExtensionsToI, "rwd", "matlab"), _defineProperty(_vsiFileExtensionsToI, "slx", "matlab"), _defineProperty(_vsiFileExtensionsToI, "slddc", "matlab"), _defineProperty(_vsiFileExtensionsToI, "smv", "matlab"), _defineProperty(_vsiFileExtensionsToI, "xvc", "matlab"), _defineProperty(_vsiFileExtensionsToI, "mustache", "mustache"), _defineProperty(_vsiFileExtensionsToI, "mst", "mustache"), _defineProperty(_vsiFileExtensionsToI, "adapter.js", "nest_adapter_js"), _defineProperty(_vsiFileExtensionsToI, "adapter.ts", "nest_adapter_ts"), _defineProperty(_vsiFileExtensionsToI, "decorator.js", "nest_decorator_js"), _defineProperty(_vsiFileExtensionsToI, "decorator.ts", "nest_decorator_ts"), _defineProperty(_vsiFileExtensionsToI, "filter.js", "nest_filter_js"), _defineProperty(_vsiFileExtensionsToI, "filter.ts", "nest_filter_ts"), _defineProperty(_vsiFileExtensionsToI, "gateway.js", "nest_gateway_js"), _defineProperty(_vsiFileExtensionsToI, "gateway.ts", "nest_gateway_ts"), _defineProperty(_vsiFileExtensionsToI, "middleware.js", "nest_middleware_js"), _defineProperty(_vsiFileExtensionsToI, "middleware.ts", "nest_middleware_ts"), _defineProperty(_vsiFileExtensionsToI, "njsproj", "njsproj"), _defineProperty(_vsiFileExtensionsToI, "nupkg", "nuget"), _defineProperty(_vsiFileExtensionsToI, "snupkg", "nuget"), _defineProperty(_vsiFileExtensionsToI, "nuspec", "nuget"), _defineProperty(_vsiFileExtensionsToI, "psmdcp", "nuget"), _defineProperty(_vsiFileExtensionsToI, "npy", "numpy"), _defineProperty(_vsiFileExtensionsToI, "npz", "numpy"), _defineProperty(_vsiFileExtensionsToI, "nunj", "nunjucks"), _defineProperty(_vsiFileExtensionsToI, "njs", "nunjucks"), _defineProperty(_vsiFileExtensionsToI, "one", "onenote"), _defineProperty(_vsiFileExtensionsToI, "onepkg", "onenote"), _defineProperty(_vsiFileExtensionsToI, "onetoc", "onenote"), _defineProperty(_vsiFileExtensionsToI, "onetoc2", "onenote"), _defineProperty(_vsiFileExtensionsToI, "sig", "onenote"), _defineProperty(_vsiFileExtensionsToI, "cl", "opencl"), _defineProperty(_vsiFileExtensionsToI, "opencl", "opencl"), _defineProperty(_vsiFileExtensionsToI, "org", "org"), _defineProperty(_vsiFileExtensionsToI, "pst", "outlook"), _defineProperty(_vsiFileExtensionsToI, "bcmx", "outlook"), _defineProperty(_vsiFileExtensionsToI, "otm", "outlook"), _defineProperty(_vsiFileExtensionsToI, "msg", "outlook"), _defineProperty(_vsiFileExtensionsToI, "oft", "outlook"), _defineProperty(_vsiFileExtensionsToI, "ovpn", "ovpn"), _defineProperty(_vsiFileExtensionsToI, "pkg", "package"), _defineProperty(_vsiFileExtensionsToI, "patch", "patch"), _defineProperty(_vsiFileExtensionsToI, "pcd", "pcl"), _defineProperty(_vsiFileExtensionsToI, "pdf", "pdf2"), _defineProperty(_vsiFileExtensionsToI, "psd", "photoshop2"), _defineProperty(_vsiFileExtensionsToI, "php1", "php3"), _defineProperty(_vsiFileExtensionsToI, "php2", "php3"), _defineProperty(_vsiFileExtensionsToI, "php3", "php3"), _defineProperty(_vsiFileExtensionsToI, "php4", "php3"), _defineProperty(_vsiFileExtensionsToI, "php5", "php3"), _defineProperty(_vsiFileExtensionsToI, "php6", "php3"), _defineProperty(_vsiFileExtensionsToI, "phps", "php3"), _defineProperty(_vsiFileExtensionsToI, "phpsa", "php3"), _defineProperty(_vsiFileExtensionsToI, "phpt", "php3"), _defineProperty(_vsiFileExtensionsToI, "phtml", "php3"), _defineProperty(_vsiFileExtensionsToI, "phar", "php3"), _defineProperty(_vsiFileExtensionsToI, "pu", "plantuml"), _defineProperty(_vsiFileExtensionsToI, "plantuml", "plantuml"), _defineProperty(_vsiFileExtensionsToI, "iuml", "plantuml"), _defineProperty(_vsiFileExtensionsToI, "puml", "plantuml"), _defineProperty(_vsiFileExtensionsToI, "pck", "plsql_package"), _defineProperty(_vsiFileExtensionsToI, "pkb", "plsql_package_body"), _defineProperty(_vsiFileExtensionsToI, "pkh", "plsql_package_header"), _defineProperty(_vsiFileExtensionsToI, "pks", "plsql_package_spec"), _defineProperty(_vsiFileExtensionsToI, "po", "poedit"), _defineProperty(_vsiFileExtensionsToI, "mo", "poedit"), _defineProperty(_vsiFileExtensionsToI, "pot", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "potx", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "potm", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "pps", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "ppsx", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "ppsm", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "ppt", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "pptx", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "pptm", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "pa", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "ppa", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "ppam", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "sldm", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "sldx", "powerpoint2"), _defineProperty(_vsiFileExtensionsToI, "psm1", "powershell_psm2"), _defineProperty(_vsiFileExtensionsToI, "psd1", "powershell_psd2"), _defineProperty(_vsiFileExtensionsToI, "format.ps1xml", "powershell_format"), _defineProperty(_vsiFileExtensionsToI, "types.ps1xml", "powershell_types"), _defineProperty(_vsiFileExtensionsToI, "P", "prolog"), _defineProperty(_vsiFileExtensionsToI, "pub", "publisher"), _defineProperty(_vsiFileExtensionsToI, "puz", "publisher"), _defineProperty(_vsiFileExtensionsToI, "q", "q"), _defineProperty(_vsiFileExtensionsToI, "qbs", "qbs"), _defineProperty(_vsiFileExtensionsToI, "qvd", "qlikview"), _defineProperty(_vsiFileExtensionsToI, "qvw", "qlikview"), _defineProperty(_vsiFileExtensionsToI, "rake", "rake"), _defineProperty(_vsiFileExtensionsToI, "rt", "reacttemplate"), _defineProperty(_vsiFileExtensionsToI, "reg", "registry"), _defineProperty(_vsiFileExtensionsToI, "rego", "rego"), _defineProperty(_vsiFileExtensionsToI, "rproj", "rproj"), _defineProperty(_vsiFileExtensionsToI, "sls", "saltstack"), _defineProperty(_vsiFileExtensionsToI, "sass", "sass"), _defineProperty(_vsiFileExtensionsToI, "scssm", "scss"), _defineProperty(_vsiFileExtensionsToI, "unity", "shaderlab"), _defineProperty(_vsiFileExtensionsToI, "fish", "shell"), _defineProperty(_vsiFileExtensionsToI, "sketch", "sketch"), _defineProperty(_vsiFileExtensionsToI, "sln", "sln2"), _defineProperty(_vsiFileExtensionsToI, "spe", "spacengine"), _defineProperty(_vsiFileExtensionsToI, "sqlite", "sqlite"), _defineProperty(_vsiFileExtensionsToI, "sqlite3", "sqlite"), _defineProperty(_vsiFileExtensionsToI, "db3", "sqlite"), _defineProperty(_vsiFileExtensionsToI, "sss", "sss"), _defineProperty(_vsiFileExtensionsToI, "dta", "stata"), _defineProperty(_vsiFileExtensionsToI, "storyboard", "storyboard"), _defineProperty(_vsiFileExtensionsToI, "svg", "svg"), _defineProperty(_vsiFileExtensionsToI, "tt2", "tt"), _defineProperty(_vsiFileExtensionsToI, "tcl", "tcl"), _defineProperty(_vsiFileExtensionsToI, "exp", "tcl"), _defineProperty(_vsiFileExtensionsToI, "tfstate", "terraform"), _defineProperty(_vsiFileExtensionsToI, "tst", "test"), _defineProperty(_vsiFileExtensionsToI, "texi", "tex"), _defineProperty(_vsiFileExtensionsToI, "tikz", "tex"), _defineProperty(_vsiFileExtensionsToI, "csv", "text"), _defineProperty(_vsiFileExtensionsToI, "todo", "todo"), _defineProperty(_vsiFileExtensionsToI, "d.ts", "typescriptdef_official"), _defineProperty(_vsiFileExtensionsToI, "vala", "vala"), _defineProperty(_vsiFileExtensionsToI, "vapi", "vapi"), _defineProperty(_vsiFileExtensionsToI, "vash", "vash"), _defineProperty(_vsiFileExtensionsToI, "vbhtml", "vbhtml"), _defineProperty(_vsiFileExtensionsToI, "vbproj", "vbproj"), _defineProperty(_vsiFileExtensionsToI, "vcxproj", "vcxproj"), _defineProperty(_vsiFileExtensionsToI, "3g2", "video"), _defineProperty(_vsiFileExtensionsToI, "3gp", "video"), _defineProperty(_vsiFileExtensionsToI, "asf", "video"), _defineProperty(_vsiFileExtensionsToI, "amv", "video"), _defineProperty(_vsiFileExtensionsToI, "avi", "video"), _defineProperty(_vsiFileExtensionsToI, "divx", "video"), _defineProperty(_vsiFileExtensionsToI, "qt", "video"), _defineProperty(_vsiFileExtensionsToI, "f4a", "video"), _defineProperty(_vsiFileExtensionsToI, "f4b", "video"), _defineProperty(_vsiFileExtensionsToI, "f4p", "video"), _defineProperty(_vsiFileExtensionsToI, "f4v", "video"), _defineProperty(_vsiFileExtensionsToI, "flv", "video"), _defineProperty(_vsiFileExtensionsToI, "m2v", "video"), _defineProperty(_vsiFileExtensionsToI, "m4v", "video"), _defineProperty(_vsiFileExtensionsToI, "mkv", "video"), _defineProperty(_vsiFileExtensionsToI, "mk3d", "video"), _defineProperty(_vsiFileExtensionsToI, "mov", "video"), _defineProperty(_vsiFileExtensionsToI, "mp2", "video"), _defineProperty(_vsiFileExtensionsToI, "mp4", "video"), _defineProperty(_vsiFileExtensionsToI, "mpe", "video"), _defineProperty(_vsiFileExtensionsToI, "mpeg", "video"), _defineProperty(_vsiFileExtensionsToI, "mpeg2", "video"), _defineProperty(_vsiFileExtensionsToI, "mpg", "video"), _defineProperty(_vsiFileExtensionsToI, "mpv", "video"), _defineProperty(_vsiFileExtensionsToI, "nsv", "video"), _defineProperty(_vsiFileExtensionsToI, "ogv", "video"), _defineProperty(_vsiFileExtensionsToI, "rm", "video"), _defineProperty(_vsiFileExtensionsToI, "rmvb", "video"), _defineProperty(_vsiFileExtensionsToI, "svi", "video"), _defineProperty(_vsiFileExtensionsToI, "vob", "video"), _defineProperty(_vsiFileExtensionsToI, "webm", "video"), _defineProperty(_vsiFileExtensionsToI, "wmv", "video"), _defineProperty(_vsiFileExtensionsToI, "vsix", "vsix"), _defineProperty(_vsiFileExtensionsToI, "vsixmanifest", "vsixmanifest"), _defineProperty(_vsiFileExtensionsToI, "webp", "webp"), _defineProperty(_vsiFileExtensionsToI, "doc", "word2"), _defineProperty(_vsiFileExtensionsToI, "docx", "word2"), _defineProperty(_vsiFileExtensionsToI, "docm", "word2"), _defineProperty(_vsiFileExtensionsToI, "dot", "word2"), _defineProperty(_vsiFileExtensionsToI, "dotx", "word2"), _defineProperty(_vsiFileExtensionsToI, "dotm", "word2"), _defineProperty(_vsiFileExtensionsToI, "wll", "word2"), _defineProperty(_vsiFileExtensionsToI, "wxml", "wxml"), _defineProperty(_vsiFileExtensionsToI, "wxss", "wxss"), _defineProperty(_vsiFileExtensionsToI, "xcodeproj", "xcode"), _defineProperty(_vsiFileExtensionsToI, "xfl", "xfl"), _defineProperty(_vsiFileExtensionsToI, "xib", "xib"), _defineProperty(_vsiFileExtensionsToI, "xliff", "xliff"), _defineProperty(_vsiFileExtensionsToI, "xlf", "xliff"), _defineProperty(_vsiFileExtensionsToI, "pex", "xml"), _defineProperty(_vsiFileExtensionsToI, "tmlanguage", "xml"), _defineProperty(_vsiFileExtensionsToI, "zip", "zip2"), _defineProperty(_vsiFileExtensionsToI, "rar", "zip2"), _defineProperty(_vsiFileExtensionsToI, "7z", "zip2"), _defineProperty(_vsiFileExtensionsToI, "tar", "zip2"), _defineProperty(_vsiFileExtensionsToI, "tgz", "zip2"), _defineProperty(_vsiFileExtensionsToI, "bz", "zip2"), _defineProperty(_vsiFileExtensionsToI, "gz", "zip2"), _defineProperty(_vsiFileExtensionsToI, "bzip2", "zip2"), _defineProperty(_vsiFileExtensionsToI, "xz", "zip2"), _defineProperty(_vsiFileExtensionsToI, "bz2", "zip2"), _defineProperty(_vsiFileExtensionsToI, "zipx", "zip2"), _vsiFileExtensionsToI);

var vsiFileNamesToIcons = exports.vsiFileNamesToIcons = {
  file: "file",
  ".angular-cli.json": "angular",
  "angular-cli.json": "angular",
  "angular.json": "angular",
  ".angular.json": "angular",
  "app-routing.module.dart": "ng_routing_dart",
  "app-routing.module.ts": "ng_routing_ts2",
  "app-routing.module.js": "ng_routing_js2",
  "ng-tailwind.js": "ng_tailwind",
  "api-extractor.json": "api_extractor",
  "api-extractor-base.json": "api_extractor",
  "appveyor.yml": "appveyor",
  ".appveyor.yml": "appveyor",
  "aurelia.json": "aurelia",
  "azure-pipelines.yml": "azurepipelines",
  ".vsts-ci.yml": "azurepipelines",
  ".babelrc": "babel2",
  ".babelignore": "babel2",
  ".babelrc.js": "babel2",
  ".babelrc.cjs": "babel2",
  ".babelrc.mjs": "babel2",
  ".babelrc.json": "babel2",
  "babel.config.js": "babel2",
  "babel.config.cjs": "babel2",
  "babel.config.mjs": "babel2",
  "babel.config.json": "babel2",
  ".bzrignore": "bazaar",
  "BUILD.bazel": "bazel",
  ".bazelrc": "bazel",
  "bazel.rc": "bazel",
  "bazel.bazelrc": "bazel",
  ".bithoundrc": "bithound",
  "bitbucket-pipelines.yml": "bitbucketpipeline",
  ".bowerrc": "bower",
  "bower.json": "bower",
  ".browserslistrc": "browserslist",
  browserslist: "browserslist",
  ".buckconfig": "buckbuild",
  gemfile: "bundler",
  "gemfile.lock": "bundler",
  "capacitor.config.json": "capacitor",
  "cargo.toml": "cargo",
  "cargo.lock": "cargo",
  chefignore: "chef",
  berksfile: "chef",
  "berksfile.lock": "chef",
  policyfile: "chef",
  "circle.yml": "circleci",
  ".cfignore": "cloudfoundry",
  ".codacy.yml": "codacy",
  ".codacy.yaml": "codacy",
  ".codeclimate.yml": "codeclimate",
  "codecov.yml": "codecov",
  ".codecov.yml": "codecov",
  "config.codekit": "codekit",
  "config.codekit2": "codekit",
  "config.codekit3": "codekit",
  ".config.codekit": "codekit",
  ".config.codekit2": "codekit",
  ".config.codekit3": "codekit",
  "coffeelint.json": "coffeelint",
  ".coffeelintignore": "coffeelint",
  "conanfile.txt": "conan",
  "conanfile.py": "conan",
  ".condarc": "conda",
  "commitlint.config.js": "commitlint",
  "composer.json": "composer",
  "composer.lock": "composer",
  ".coveralls.yml": "coveralls",
  "crowdin.yml": "crowdin",
  ".csscomb.json": "csscomb",
  ".csslintrc": "csslint",
  "cypress.json": "cypress",
  "cypress.env.json": "cypress",
  ".cvsignore": "cvs",
  ".boringignore": "darcs",
  "dependabot.yml": "dependabot",
  "dependencies.yml": "dependencies",
  "devcontainer.json": "devcontainer",
  "docker-compose.yml": "docker2",
  "docker-compose.ci-build.yml": "docker2",
  "docker-compose.override.yml": "docker2",
  "docker-compose.vs.debug.yml": "docker2",
  "docker-compose.vs.release.yml": "docker2",
  "docker-cloud.yml": "docker2",
  "docker-compose.test.yml": "dockertest2",
  ".doczrc": "docz",
  "docz.js": "docz",
  "docz.json": "docz",
  ".docz.js": "docz",
  ".docz.json": "docz",
  "doczrc.js": "docz",
  "doczrc.json": "docz",
  "docz.config.js": "docz",
  "docz.config.json": "docz",
  ".dojorc": "dojo",
  ".drawio.png": "drawio",
  ".drawio.svg": "drawio",
  ".drone.yml": "drone",
  ".drone.yml.sig": "drone",
  ".dvc": "dvc",
  ".editorconfig": "editorconfig",
  "elm-package.json": "elm2",
  ".ember-cli": "ember",
  emakefile: "erlang2",
  ".emakerfile": "erlang2",
  ".eslintrc": "eslint2",
  ".eslintignore": "eslint2",
  ".eslintcache": "eslint2",
  ".eslintrc.js": "eslint2",
  ".eslintrc.mjs": "eslint2",
  ".eslintrc.cjs": "eslint2",
  ".eslintrc.json": "eslint2",
  ".eslintrc.yaml": "eslint2",
  ".eslintrc.yml": "eslint2",
  "app.json": "expo",
  "app.config.js": "expo",
  "app.config.json": "expo",
  "app.config.json5": "expo",
  ".faunarc": "fauna",
  "favicon.ico": "favicon",
  ".firebaserc": "firebase",
  "firebase.json": "firebasehosting",
  "firestore.rules": "firestore",
  "firestore.indexes.json": "firestore",
  ".flooignore": "floobits",
  ".flowconfig": "flow",
  ".flutter-plugins": "flutter",
  ".metadata": "flutter",
  "pubspec.lock": "flutter_package",
  "pubspec.yaml": "flutter_package",
  ".packages": "flutter_package",
  ".fossaignore": "fossa",
  "ignore-glob": "fossil",
  "fuse.js": "fusebox",
  ".gitattributes": "git",
  ".gitconfig": "git",
  ".gitignore": "git",
  ".gitmodules": "git",
  ".gitkeep": "git",
  ".mailmap": "git",
  "gatsby-config.js": "gatsby",
  "gatsby-config.ts": "gatsby",
  "gatsby-node.js": "gatsby",
  "gatsby-node.ts": "gatsby",
  "gatsby-browser.js": "gatsby",
  "gatsby-browser.ts": "gatsby",
  "gatsby-ssr.js": "gatsby",
  "gatsby-ssr.ts": "gatsby",
  ".gitlab-ci.yml": "gitlab",
  "glide.yml": "glide",
  "go.sum": "go_package",
  "go.mod": "go_package",
  ".gqlconfig": "graphql",
  ".graphqlconfig": "graphql_config",
  ".graphqlconfig.yml": "graphql_config",
  ".graphqlconfig.yaml": "graphql_config",
  "greenkeeper.json": "greenkeeper",
  "gridsome.config.js": "gridsome",
  "gridsome.config.ts": "gridsome",
  "gridsome.server.js": "gridsome",
  "gridsome.server.ts": "gridsome",
  "gridsome.client.js": "gridsome",
  "gridsome.client.ts": "gridsome",
  "gruntfile.js": "grunt",
  "gruntfile.coffee": "grunt",
  "gruntfile.ts": "grunt",
  "gruntfile.babel.js": "grunt",
  "gruntfile.babel.coffee": "grunt",
  "gruntfile.babel.ts": "grunt",
  "gulpfile.js": "gulp",
  "gulpfile.coffee": "gulp",
  "gulpfile.ts": "gulp",
  "gulpfile.mjs": "gulp",
  "gulpfile.esm.js": "gulp",
  "gulpfile.esm.coffee": "gulp",
  "gulpfile.esm.ts": "gulp",
  "gulpfile.esm.mjs": "gulp",
  "gulpfile.babel.js": "gulp",
  "gulpfile.babel.coffee": "gulp",
  "gulpfile.babel.ts": "gulp",
  "gulpfile.babel.mjs": "gulp",
  "haxelib.json": "haxe",
  "checkstyle.json": "haxecheckstyle",
  ".p4ignore": "helix",
  ".htmlhintrc": "htmlhint",
  ".huskyrc": "husky",
  "husky.config.js": "husky",
  ".huskyrc.js": "husky",
  ".huskyrc.json": "husky",
  ".huskyrc.yaml": "husky",
  ".huskyrc.yml": "husky",
  "ionic.project": "ionic",
  "ionic.config.json": "ionic",
  jakefile: "jake",
  "jakefile.js": "jake",
  "jasmine.json": "jasmine",
  "jest.config.json": "jest",
  "jest.config.ts": "jest",
  "jest.json": "jest",
  ".jestrc": "jest",
  ".jestrc.js": "jest",
  ".jestrc.json": "jest",
  "jest.config.js": "jest",
  "jest.config.cjs": "jest",
  "jest.config.mjs": "jest",
  "jest.config.babel.js": "jest",
  "jest.config.babel.cjs": "jest",
  "jest.config.babel.mjs": "jest",
  ".jpmignore": "jpm",
  ".jsbeautifyrc": "jsbeautify",
  jsbeautifyrc: "jsbeautify",
  ".jsbeautify": "jsbeautify",
  jsbeautify: "jsbeautify",
  "jsconfig.json": "jsconfig",
  ".jscpd.json": "jscpd",
  "jscpd-report.xml": "jscpd",
  "jscpd-report.json": "jscpd",
  "jscpd-report.html": "jscpd",
  ".jshintrc": "jshint",
  ".jshintignore": "jshint",
  "karma.conf.js": "karma",
  "karma.conf.coffee": "karma",
  "karma.conf.ts": "karma",
  ".kiteignore": "kite",
  ".kitchen.yml": "kitchenci",
  "kitchen.yml": "kitchenci",
  "layout.html": "layout",
  "layout.htm": "layout",
  "lerna.json": "lerna",
  license: "license",
  licence: "license",
  copying: "license",
  "copying.lesser": "license",
  "license.md": "license",
  "license.txt": "license",
  "licence.md": "license",
  "licence.txt": "license",
  "copying.md": "license",
  "copying.txt": "license",
  "copying.lesser.md": "license",
  "copying.lesser.txt": "license",
  ".lighthouserc.js": "lighthouse",
  ".lighthouserc.json": "lighthouse",
  ".lighthouserc.yaml": "lighthouse",
  ".lighthouserc.yml": "lighthouse",
  "include.xml": "lime",
  ".lintstagedrc": "lintstagedrc",
  "lint-staged.config.js": "lintstagedrc",
  ".lintstagedrc.js": "lintstagedrc",
  ".lintstagedrc.json": "lintstagedrc",
  ".lintstagedrc.yaml": "lintstagedrc",
  ".lintstagedrc.yml": "lintstagedrc",
  manifest: "manifest",
  "manifest.skip": "manifest_skip",
  "manifest.bak": "manifest_bak",
  ".markdownlint.json": "markdownlint",
  "maven.config": "maven",
  "pom.xml": "maven",
  "extensions.xml": "maven",
  "settings.xml": "maven",
  ".hgignore": "mercurial",
  "mocha.opts": "mocha",
  ".mocharc.js": "mocha",
  ".mocharc.json": "mocha",
  ".mocharc.jsonc": "mocha",
  ".mocharc.yaml": "mocha",
  ".mocharc.yml": "mocha",
  modernizr: "modernizr",
  "modernizr.js": "modernizr",
  "modernizrrc.js": "modernizr",
  ".modernizr.js": "modernizr",
  ".modernizrrc.js": "modernizr",
  "moleculer.config.js": "moleculer",
  "moleculer.config.json": "moleculer",
  "moleculer.config.ts": "moleculer",
  ".mtn-ignore": "monotone",
  ".nest-cli.json": "nestjs",
  "nest-cli.json": "nestjs",
  "nestconfig.json": "nestjs",
  ".nestconfig.json": "nestjs",
  "netlify.toml": "netlify",
  "next.config.js": "next",
  "nginx.conf": "nginx",
  "build.ninja": "ninja",
  ".node-version": "node2",
  ".nvmrc": "node2",
  "nodemon.json": "nodemon",
  ".npmignore": "npm",
  ".npmrc": "npm",
  "package.json": "npm",
  "package-lock.json": "npm",
  "npm-shrinkwrap.json": "npm",
  ".nsrirc": "nsri",
  ".nsriignore": "nsri",
  "nsri.config.js": "nsri",
  ".nsrirc.js": "nsri",
  ".nsrirc.json": "nsri",
  ".nsrirc.yaml": "nsri",
  ".nsrirc.yml": "nsri",
  ".integrity.json": "nsri-integrity",
  "nuxt.config.js": "nuxt",
  "nuxt.config.ts": "nuxt",
  ".nycrc": "nyc",
  ".nycrc.json": "nyc",
  ".merlin": "ocaml",
  "paket.dependencies": "paket",
  "paket.lock": "paket",
  "paket.references": "paket",
  "paket.template": "paket",
  "paket.local": "paket",
  ".php_cs": "phpcsfixer",
  ".php_cs.dist": "phpcsfixer",
  phpunit: "phpunit",
  "phpunit.xml": "phpunit",
  "phpunit.xml.dist": "phpunit",
  ".phraseapp.yml": "phraseapp",
  pipfile: "pip",
  "pipfile.lock": "pip",
  "platformio.ini": "platformio",
  "pnpmfile.js": "pnpm",
  "pnpm-lock.yaml": "pnpm",
  "pnpm-workspace.yaml": "pnpm",
  ".postcssrc": "postcssconfig",
  ".postcssrc.json": "postcssconfig",
  ".postcssrc.yml": "postcssconfig",
  ".postcssrc.js": "postcssconfig",
  "postcss.config.js": "postcssconfig",
  ".pre-commit-config.yaml": "precommit",
  ".prettierrc": "prettier",
  ".prettierignore": "prettier",
  "prettier.config.js": "prettier",
  "prettier.config.cjs": "prettier",
  "prettier.config.ts": "prettier",
  "prettier.config.coffee": "prettier",
  ".prettierrc.js": "prettier",
  ".prettierrc.cjs": "prettier",
  ".prettierrc.json": "prettier",
  ".prettierrc.json5": "prettier",
  ".prettierrc.yml": "prettier",
  ".prettierrc.yaml": "prettier",
  procfile: "procfile",
  "protractor.conf.js": "protractor",
  "protractor.conf.coffee": "protractor",
  "protractor.conf.ts": "protractor",
  ".jade-lintrc": "pug",
  ".pug-lintrc": "pug",
  ".jade-lint.json": "pug",
  ".pug-lintrc.js": "pug",
  ".pug-lintrc.json": "pug",
  "py.typed": "pytyped",
  ".pyup": "pyup",
  ".pyup.yml": "pyup",
  qmldir: "qmldir",
  "quasar.conf.js": "quasar",
  rakefile: "rake",
  "razzle.config.js": "razzle",
  ".rehyperc": "rehype",
  ".rehypeignore": "rehype",
  ".rehyperc.js": "rehype",
  ".rehyperc.json": "rehype",
  ".rehyperc.yml": "rehype",
  ".rehyperc.yaml": "rehype",
  ".remarkrc": "remark",
  ".remarkignore": "remark",
  ".remarkrc.js": "remark",
  ".remarkrc.json": "remark",
  ".remarkrc.yml": "remark",
  ".remarkrc.yaml": "remark",
  ".renovaterc": "renovate",
  "renovate.json": "renovate",
  ".renovaterc.json": "renovate",
  ".retextrc": "retext",
  ".retextignore": "retext",
  ".retextrc.js": "retext",
  ".retextrc.json": "retext",
  ".retextrc.yml": "retext",
  ".retextrc.yaml": "retext",
  "robots.txt": "robots",
  "rollup.config.js": "rollup",
  "rollup.config.cjs": "rollup",
  "rollup.config.mjs": "rollup",
  "rollup.config.coffee": "rollup",
  "rollup.config.ts": "rollup",
  "rollup.config.common.js": "rollup",
  "rollup.config.common.cjs": "rollup",
  "rollup.config.common.mjs": "rollup",
  "rollup.config.common.coffee": "rollup",
  "rollup.config.common.ts": "rollup",
  "rollup.config.dev.js": "rollup",
  "rollup.config.dev.cjs": "rollup",
  "rollup.config.dev.mjs": "rollup",
  "rollup.config.dev.coffee": "rollup",
  "rollup.config.dev.ts": "rollup",
  "rollup.config.prod.js": "rollup",
  "rollup.config.prod.cjs": "rollup",
  "rollup.config.prod.mjs": "rollup",
  "rollup.config.prod.coffee": "rollup",
  "rollup.config.prod.ts": "rollup",
  ".rspec": "rspec",
  ".rubocop.yml": "rubocop",
  ".rubocop_todo.yml": "rubocop",
  "rust-toolchain": "rust_toolchain",
  ".sailsrc": "sails",
  ".sentryclirc": "sentry",
  "serverless.yml": "serverless",
  ".sequelizerc": "sequelize",
  ".sequelizerc.js": "sequelize",
  ".sequelizerc.json": "sequelize",
  "snapcraft.yaml": "snapcraft",
  ".snyk": "snyk",
  ".solidarity": "solidarity",
  ".solidarity.json": "solidarity",
  ".stylelintrc": "stylelint",
  ".stylelintignore": "stylelint",
  ".stylelintcache": "stylelint",
  "stylelint.config.js": "stylelint",
  "stylelint.config.json": "stylelint",
  "stylelint.config.yaml": "stylelint",
  "stylelint.config.yml": "stylelint",
  "stylelint.config.ts": "stylelint",
  ".stylelintrc.js": "stylelint",
  ".stylelintrc.json": "stylelint",
  ".stylelintrc.yaml": "stylelint",
  ".stylelintrc.yml": "stylelint",
  ".stylelintrc.ts": "stylelint",
  ".stylish-haskell.yaml": "stylish_haskell",
  "story.js": "storybook",
  "story.jsx": "storybook",
  "story.ts": "storybook",
  "story.tsx": "storybook",
  "stories.js": "storybook",
  "stories.jsx": "storybook",
  "stories.ts": "storybook",
  "stories.tsx": "storybook",
  ".svnignore": "subversion",
  "package.pins": "swift",
  "symfony.lock": "symfony",
  "tailwind.js": "tailwind",
  "tailwind.coffee": "tailwind",
  "tailwind.ts": "tailwind",
  "tailwind.config.js": "tailwind",
  "tailwind.config.coffee": "tailwind",
  "tailwind.config.ts": "tailwind",
  ".testcaferc.json": "testcafe",
  "test.js": "testjs",
  "test.jsx": "testjs",
  "test.mjs": "testjs",
  "spec.js": "testjs",
  "spec.jsx": "testjs",
  "spec.mjs": "testjs",
  "test.ts": "testts",
  "test.tsx": "testts",
  "spec.ts": "testts",
  "spec.tsx": "testts",
  "e2e-test.ts": "testts",
  "e2e-test.tsx": "testts",
  "e2e-spec.ts": "testts",
  "e2e-spec.tsx": "testts",
  ".tfignore": "tfs",
  "tox.ini": "tox",
  ".travis.yml": "travis",
  "tsconfig.json": "tsconfig",
  "tsconfig.app.json": "tsconfig",
  "tsconfig.base.json": "tsconfig",
  "tsconfig.common.json": "tsconfig",
  "tsconfig.dev.json": "tsconfig",
  "tsconfig.development.json": "tsconfig",
  "tsconfig.e2e.json": "tsconfig",
  "tsconfig.prod.json": "tsconfig",
  "tsconfig.production.json": "tsconfig",
  "tsconfig.server.json": "tsconfig",
  "tsconfig.spec.json": "tsconfig",
  "tsconfig.staging.json": "tsconfig",
  "tsconfig.test.json": "tsconfig",
  "tslint.json": "tslint",
  "tslint.yaml": "tslint",
  "tslint.yml": "tslint",
  "typedoc.js": "typedoc",
  "typedoc.json": "typedoc",
  ".unibeautifyrc": "unibeautify",
  "unibeautify.config.js": "unibeautify",
  ".unibeautifyrc.js": "unibeautify",
  ".unibeautifyrc.json": "unibeautify",
  ".unibeautifyrc.yaml": "unibeautify",
  ".unibeautifyrc.yml": "unibeautify",
  unlicense: "unlicense",
  unlicence: "unlicense",
  "unlicense.md": "unlicense",
  "unlicense.txt": "unlicense",
  "unlicence.md": "unlicense",
  "unlicence.txt": "unlicense",
  vagrantfile: "vagrant",
  ".vimrc": "vim",
  ".gvimrc": "vim",
  ".vscodeignore": "vscode-insiders",
  "launch.json": "vscode-insiders",
  "tasks.json": "vscode-insiders",
  "vscodeignore.json": "vscode-insiders",
  ".vuerc": "vueconfig",
  "vue.config.js": "vueconfig",
  "wallaby.json": "wallaby",
  "wallaby.js": "wallaby",
  "wallaby.ts": "wallaby",
  "wallaby.coffee": "wallaby",
  "wallaby.conf.json": "wallaby",
  "wallaby.conf.js": "wallaby",
  "wallaby.conf.ts": "wallaby",
  "wallaby.conf.coffee": "wallaby",
  ".wallaby.json": "wallaby",
  ".wallaby.js": "wallaby",
  ".wallaby.ts": "wallaby",
  ".wallaby.coffee": "wallaby",
  ".wallaby.conf.json": "wallaby",
  ".wallaby.conf.js": "wallaby",
  ".wallaby.conf.ts": "wallaby",
  ".wallaby.conf.coffee": "wallaby",
  ".watchmanconfig": "watchmanconfig",
  "webpack.base.conf.js": "webpack",
  "webpack.base.conf.coffee": "webpack",
  "webpack.base.conf.ts": "webpack",
  "webpack.common.js": "webpack",
  "webpack.common.coffee": "webpack",
  "webpack.common.ts": "webpack",
  "webpack.config.js": "webpack",
  "webpack.config.coffee": "webpack",
  "webpack.config.ts": "webpack",
  "webpack.config.base.js": "webpack",
  "webpack.config.base.coffee": "webpack",
  "webpack.config.base.ts": "webpack",
  "webpack.config.common.js": "webpack",
  "webpack.config.common.coffee": "webpack",
  "webpack.config.common.ts": "webpack",
  "webpack.config.dev.js": "webpack",
  "webpack.config.dev.coffee": "webpack",
  "webpack.config.dev.ts": "webpack",
  "webpack.config.development.js": "webpack",
  "webpack.config.development.coffee": "webpack",
  "webpack.config.development.ts": "webpack",
  "webpack.config.staging.js": "webpack",
  "webpack.config.staging.coffee": "webpack",
  "webpack.config.staging.ts": "webpack",
  "webpack.config.test.js": "webpack",
  "webpack.config.test.coffee": "webpack",
  "webpack.config.test.ts": "webpack",
  "webpack.config.prod.js": "webpack",
  "webpack.config.prod.coffee": "webpack",
  "webpack.config.prod.ts": "webpack",
  "webpack.config.production.js": "webpack",
  "webpack.config.production.coffee": "webpack",
  "webpack.config.production.ts": "webpack",
  "webpack.config.babel.js": "webpack",
  "webpack.config.babel.coffee": "webpack",
  "webpack.config.babel.ts": "webpack",
  "webpack.config.base.babel.js": "webpack",
  "webpack.config.base.babel.coffee": "webpack",
  "webpack.config.base.babel.ts": "webpack",
  "webpack.config.common.babel.js": "webpack",
  "webpack.config.common.babel.coffee": "webpack",
  "webpack.config.common.babel.ts": "webpack",
  "webpack.config.dev.babel.js": "webpack",
  "webpack.config.dev.babel.coffee": "webpack",
  "webpack.config.dev.babel.ts": "webpack",
  "webpack.config.development.babel.js": "webpack",
  "webpack.config.development.babel.coffee": "webpack",
  "webpack.config.development.babel.ts": "webpack",
  "webpack.config.staging.babel.js": "webpack",
  "webpack.config.staging.babel.coffee": "webpack",
  "webpack.config.staging.babel.ts": "webpack",
  "webpack.config.test.babel.js": "webpack",
  "webpack.config.test.babel.coffee": "webpack",
  "webpack.config.test.babel.ts": "webpack",
  "webpack.config.prod.babel.js": "webpack",
  "webpack.config.prod.babel.coffee": "webpack",
  "webpack.config.prod.babel.ts": "webpack",
  "webpack.config.production.babel.js": "webpack",
  "webpack.config.production.babel.coffee": "webpack",
  "webpack.config.production.babel.ts": "webpack",
  "webpack.dev.js": "webpack",
  "webpack.dev.coffee": "webpack",
  "webpack.dev.ts": "webpack",
  "webpack.dev.conf.js": "webpack",
  "webpack.dev.conf.coffee": "webpack",
  "webpack.dev.conf.ts": "webpack",
  "webpack.prod.js": "webpack",
  "webpack.prod.coffee": "webpack",
  "webpack.prod.ts": "webpack",
  "webpack.prod.conf.js": "webpack",
  "webpack.prod.conf.coffee": "webpack",
  "webpack.prod.conf.ts": "webpack",
  "webpack.main.config.js": "webpack",
  "webpack.main.config.coffee": "webpack",
  "webpack.main.config.ts": "webpack",
  "webpack.mix.js": "webpack",
  "webpack.mix.coffee": "webpack",
  "webpack.mix.ts": "webpack",
  "webpack.plugins.js": "webpack",
  "webpack.plugins.coffee": "webpack",
  "webpack.plugins.ts": "webpack",
  "webpack.renderer.config.js": "webpack",
  "webpack.renderer.config.coffee": "webpack",
  "webpack.renderer.config.ts": "webpack",
  "webpack.rules.js": "webpack",
  "webpack.rules.coffee": "webpack",
  "webpack.rules.ts": "webpack",
  "webpack.test.conf.js": "webpack",
  "webpack.test.conf.coffee": "webpack",
  "webpack.test.conf.ts": "webpack",
  "wercker.yml": "wercker",
  "wpml-config.xml": "wpml",
  ".yamllint": "yamllint",
  ".yaspellerrc": "yandex",
  ".yaspeller.json": "yandex",
  "yarn.lock": "yarn",
  ".yarnrc": "yarn",
  ".yarnclean": "yarn",
  ".yarn-integrity": "yarn",
  ".yarn-metadata.json": "yarn",
  ".yarnignore": "yarn",
  ".yo-rc.json": "yeoman",
  "now.json": "zeit",
  ".nowignore": "zeit",
  "vercel.json": "zeit",
  ".vercelignore": "zeit"
};