"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var vsiFolderNamesToIcons = exports.vsiFolderNamesToIcons = {
  folder: "folder",
  android: "android",
  api: "api",
  ".api": "api",
  app: "app",
  ".app": "app",
  arangodb: "arangodb",
  arango: "arangodb",
  assets: "asset",
  ".assets": "asset",
  aurelia_project: "aurelia",
  audio: "audio",
  ".audio": "audio",
  audios: "audio",
  ".audios": "audio",
  sound: "audio",
  ".sound": "audio",
  sounds: "audio",
  ".sounds": "audio",
  aws: "aws",
  ".aws": "aws",
  azure: "azure",
  ".azure": "azure",
  "azure-pipelines": "azurepipelines",
  ".azure-pipelines": "azurepipelines",
  bin: "binary",
  ".bin": "binary",
  blocs: "bloc",
  bloc: "bloc",
  blueprint: "blueprint",
  ".blueprint": "blueprint",
  blueprints: "blueprint",
  ".blueprints": "blueprint",
  bower_components: "bower",
  ".buildkite": "buildkite",
  cake: "cake",
  ".cake": "cake",
  certificates: "certificate",
  ".certificates": "certificate",
  certs: "certificate",
  "certs.": "certificate",
  chef: "chef",
  ".chef": "chef",
  ".circleci": "circleci",
  controller: "controller",
  controllers: "controller",
  ".controllers": "controller",
  handlers: "controller",
  ".handlers": "controller",
  component: "component",
  components: "component",
  ".components": "component",
  widgets: "component",
  composer: "composer",
  ".composer": "composer",
  cli: "cli",
  cmd: "cli",
  command: "cli",
  commands: "cli",
  commandline: "cli",
  console: "cli",
  client: "client",
  clients: "client",
  ".cmake": "cmake",
  cmake: "cmake",
  conf: "config",
  ".conf": "config",
  config: "config",
  ".config": "config",
  configs: "config",
  ".configs": "config",
  configuration: "config",
  ".configuration": "config",
  configurations: "config",
  ".configurations": "config",
  setting: "config",
  ".setting": "config",
  settings: "config",
  ".settings": "config",
  ini: "config",
  ".ini": "config",
  initializers: "config",
  ".initializers": "config",
  coverage: "coverage",
  css: "css",
  _css: "css",
  cubits: "cubit",
  cubit: "cubit",
  cypress: "cypress",
  db: "db",
  database: "db",
  sql: "db",
  data: "db",
  repo: "db",
  repository: "db",
  repositories: "db",
  debian: "debian",
  deb: "debian",
  ".dependabot": "dependabot",
  ".devcontainer": "devcontainer",
  dist: "dist",
  ".dist": "dist",
  dists: "dist",
  out: "dist",
  outs: "dist",
  export: "dist",
  exports: "dist",
  build: "dist",
  ".build": "dist",
  builds: "dist",
  release: "dist",
  releases: "dist",
  target: "dist",
  targets: "dist",
  docker: "docker",
  ".docker": "docker",
  docs: "docs",
  doc: "docs",
  e2e: "e2e",
  ".elasticbeanstalk": "elasticbeanstalk",
  ".ebextensions": "elasticbeanstalk",
  electron: "electron",
  ".expo": "expo",
  ".expo-shared": "expo",
  favicon: "favicon",
  favicons: "favicon",
  flow: "flow",
  "flow-typed": "flow",
  fonts: "fonts",
  font: "fonts",
  fnt: "fonts",
  gcp: "gcp",
  ".gcp": "gcp",
  ".git": "git",
  submodules: "git",
  ".submodules": "git",
  ".github": "github",
  ".gitlab": "gitlab",
  gradle: "gradle",
  ".gradle": "gradle",
  graphql: "graphql",
  grunt: "grunt",
  gulp: "gulp",
  "gulpfile.js": "gulp",
  "gulpfile.coffee": "gulp",
  "gulpfile.ts": "gulp",
  "gulpfile.babel.js": "gulp",
  "gulpfile.babel.coffee": "gulp",
  "gulpfile.babel.ts": "gulp",
  ".haxelib": "haxelib",
  haxe_libraries: "haxelib",
  helper: "helper",
  ".helper": "helper",
  helpers: "helper",
  ".helpers": "helper",
  hook: "hook",
  ".hook": "hook",
  hooks: "hook",
  ".hooks": "hook",
  ".idea": "idea",
  images: "images",
  image: "images",
  img: "images",
  icons: "images",
  icon: "images",
  ico: "images",
  screenshot: "images",
  screenshots: "images",
  svg: "images",
  include: "include",
  includes: "include",
  incl: "include",
  inc: "include",
  ".include": "include",
  ".includes": "include",
  ".incl": "include",
  ".inc": "include",
  _include: "include",
  _includes: "include",
  _incl: "include",
  _inc: "include",
  interfaces: "interfaces",
  ios: "ios",
  js: "js",
  json: "json_official",
  kubernetes: "kubernetes",
  k8s: "kubernetes",
  kube: "kubernetes",
  kuber: "kubernetes",
  ".kubernetes": "kubernetes",
  ".k8s": "kubernetes",
  ".kube": "kubernetes",
  ".kuber": "kubernetes",
  less: "less",
  _less: "less",
  lib: "library",
  libs: "library",
  ".lib": "library",
  ".libs": "library",
  library: "library",
  libraries: "library",
  linux: "linux",
  lang: "locale",
  language: "locale",
  languages: "locale",
  locale: "locale",
  locales: "locale",
  _locale: "locale",
  _locales: "locale",
  internationalization: "locale",
  globalization: "locale",
  localization: "locale",
  i18n: "locale",
  g11n: "locale",
  l10n: "locale",
  log: "log",
  logs: "log",
  macos: "macos",
  darwin: "macos",
  mariadb: "mariadb",
  maria: "mariadb",
  ".mvn": "maven",
  memcached: "memcached",
  ".memcached": "memcached",
  middleware: "middleware",
  middlewares: "middleware",
  mjml: "mjml",
  ".mjml": "mjml",
  minikube: "minikube",
  minik8s: "minikube",
  minikuber: "minikube",
  mocks: "mock",
  ".mocks": "mock",
  __mocks__: "mock",
  model: "model",
  ".model": "model",
  models: "model",
  ".models": "model",
  entities: "model",
  ".entities": "model",
  modules: "module",
  mongodb: "mongodb",
  mongo: "mongodb",
  mysqldb: "mysql",
  mysql: "mysql",
  ".next": "next",
  nginx: "nginx",
  "conf.d": "nginx",
  node_modules: "node",
  notification: "notification",
  notifications: "notification",
  event: "notification",
  events: "notification",
  ".nuget": "nuget",
  package: "package",
  packages: "package",
  ".package": "package",
  ".packages": "package",
  pkg: "package",
  ".paket": "paket",
  php: "php",
  ".pio": "platformio",
  ".pioenvs": "platformio",
  plugin: "plugin",
  ".plugin": "plugin",
  plugins: "plugin",
  ".plugins": "plugin",
  extension: "plugin",
  ".extension": "plugin",
  extensions: "plugin",
  ".extensions": "plugin",
  private: "private",
  ".private": "private",
  public: "public",
  ".public": "public",
  ".venv": "python",
  ".virtualenv": "python",
  redis: "redis",
  ravendb: "ravendb",
  route: "route",
  routes: "route",
  _route: "route",
  _routes: "route",
  routers: "route",
  redux: "redux",
  ".meteor": "meteor",
  ".nuxt": "nuxt",
  sass: "sass",
  scss: "sass",
  _sass: "sass",
  _scss: "sass",
  script: "script",
  scripts: "script",
  server: "server",
  service: "services",
  services: "services",
  src: "src",
  source: "src",
  sources: "src",
  sso: "sso",
  story: "story",
  stories: "story",
  __stories__: "story",
  ".storybook": "story",
  style: "style",
  styles: "style",
  tests: "test",
  ".tests": "test",
  test: "test",
  ".test": "test",
  __tests__: "test",
  __test__: "test",
  spec: "test",
  ".spec": "test",
  specs: "test",
  ".specs": "test",
  temp: "temp",
  ".temp": "temp",
  tmp: "temp",
  ".tmp": "temp",
  template: "template",
  ".template": "template",
  templates: "template",
  ".templates": "template",
  theme: "theme",
  themes: "theme",
  ".travis": "travis",
  tool: "tools",
  tools: "tools",
  ".tools": "tools",
  util: "tools",
  utils: "tools",
  typescript: "typescript",
  ts: "typescript",
  typings: "typings2",
  "@types": "typings2",
  vagrant: "vagrant",
  ".vagrant": "vagrant",
  video: "video",
  ".video": "video",
  videos: "video",
  ".videos": "video",
  html: "view",
  view: "view",
  views: "view",
  layout: "view",
  layouts: "view",
  page: "view",
  pages: "view",
  _view: "view",
  _views: "view",
  _layout: "view",
  _layouts: "view",
  _page: "view",
  _pages: "view",
  ".vs": "vs2",
  ".vscode": "vscode3",
  vscode: "vscode3",
  ".vscode-test": "vscode_test3",
  webpack: "webpack",
  windows: "windows",
  win32: "windows",
  www: "www",
  wwwroot: "www"
};